On this page
comparisons.list
List comparisons
Request
GET /api/v1/comparisons
- MCP:
comparisons_list - SDK:
client.comparisons.list(SDK path arguments usepath; MCP usesparams). - Minimum API key role: viewer.
- Idempotency: none.
Use the request schema below. Read IDs from earlier operation results.
Input schema
json
{
"parameters": [
{
"name": "agent_id",
"in": "query",
"required": false,
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 256,
"pattern": "^[A-Za-z0-9][A-Za-z0-9_.:-]*$"
}
},
{
"name": "cursor",
"in": "query",
"required": false,
"schema": {
"type": "string",
"maxLength": 1024
}
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 200,
"default": 50
}
}
],
"requestBody": null
}
Responses
json
{
"200": {
"description": "List comparisons",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ComparisonsListResponse200"
}
}
}
},
"4XX": {
"description": "Typed error (ApiError)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"5XX": {
"description": "Typed error (ApiError)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
}
Referenced schemas
json
{
"components": {
"schemas": {
"ComparisonsListResponse200": {
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Comparison"
}
},
"next_cursor": {
"type": "string",
"nullable": true
}
},
"required": [
"items",
"next_cursor"
],
"additionalProperties": false
},
"Comparison": {
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"comparison_id": {
"type": "string",
"format": "uuid"
},
"agent_id": {
"type": "string",
"minLength": 1,
"maxLength": 256,
"pattern": "^[A-Za-z0-9][A-Za-z0-9_.:-]*$"
},
"baseline": {
"$ref": "#/components/schemas/PublicationRef"
},
"candidate": {
"$ref": "#/components/schemas/PublicationRef"
},
"case_run_ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"minItems": 1,
"maxItems": 200
},
"state": {
"type": "string",
"enum": [
"queued",
"running",
"completed",
"failed",
"uncertain"
]
},
"summary": {
"allOf": [
{
"type": "object",
"properties": {
"cases": {
"type": "integer"
},
"candidate_wins": {
"type": "integer"
},
"baseline_wins": {
"type": "integer"
},
"ties": {
"type": "integer"
},
"unscored": {
"type": "integer"
}
},
"required": [
"cases",
"candidate_wins",
"baseline_wins",
"ties",
"unscored"
],
"additionalProperties": false
}
],
"nullable": true
},
"rubric": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"version": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
}
},
"required": [
"id",
"version"
],
"additionalProperties": false
},
"judge_model": {
"$ref": "#/components/schemas/ModelIdentity"
},
"error_code": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"finished_at": {
"type": "string",
"format": "date-time",
"nullable": true
},
"created_by": {
"$ref": "#/components/schemas/PrincipalRef"
},
"created_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"comparison_id",
"agent_id",
"baseline",
"candidate",
"case_run_ids",
"state",
"summary",
"rubric",
"judge_model",
"error_code",
"finished_at",
"created_by",
"created_at"
],
"additionalProperties": false
},
"PublicationRef": {
"type": "object",
"properties": {
"agent_id": {
"type": "string",
"minLength": 1,
"maxLength": 256,
"pattern": "^[A-Za-z0-9][A-Za-z0-9_.:-]*$"
},
"version": {
"type": "integer",
"minimum": 0,
"maximum": 2147483647
},
"digest": {
"type": "string",
"pattern": "^sha256:[a-f0-9]{64}$"
}
},
"required": [
"agent_id",
"version",
"digest"
],
"additionalProperties": false
},
"ModelIdentity": {
"type": "object",
"properties": {
"model_id": {
"type": "string",
"minLength": 1,
"pattern": "\\S"
},
"provider": {
"type": "string",
"minLength": 1,
"pattern": "\\S"
},
"tier": {
"type": "string",
"enum": [
"frontier",
"cumulus-served",
"customer-gpu"
]
}
},
"required": [
"model_id",
"provider",
"tier"
],
"additionalProperties": false
},
"PrincipalRef": {
"anyOf": [
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"kind": {
"type": "string",
"enum": [
"user"
]
},
"id": {
"type": "string",
"format": "uuid"
}
},
"required": [
"owner_id",
"environment",
"kind",
"id"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"kind": {
"type": "string",
"enum": [
"api_key"
]
},
"id": {
"type": "string",
"format": "uuid"
}
},
"required": [
"owner_id",
"environment",
"kind",
"id"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"kind": {
"type": "string",
"enum": [
"system"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"owner_id",
"environment",
"kind",
"id"
],
"additionalProperties": false
}
]
},
"ApiError": {
"type": "object",
"properties": {
"error": {
"type": "object",
"properties": {
"code": {
"type": "string",
"enum": [
"unauthenticated",
"forbidden",
"not_found",
"conflict",
"invalid_request",
"idempotency_conflict",
"policy_denied",
"capability_unavailable",
"provider_unavailable",
"knowledge_unavailable",
"publication_invalid",
"run_not_active",
"rate_limited",
"outcome_unknown",
"internal"
]
},
"message": {
"type": "string"
},
"retryable": {
"type": "boolean"
},
"outcome": {
"type": "string",
"enum": [
"none",
"unknown"
]
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"code",
"message",
"retryable",
"outcome"
],
"additionalProperties": false
}
},
"required": [
"error"
],
"additionalProperties": false
}
}
}
}
Errors and recovery
See API error handling and Troubleshooting.
Related guides
Content version fd90e11bMarkdown source